/*
Rewards API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package rewardsapi

import (
	"encoding/json"
)

// checks if the CreateLoyaltyWebhook type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreateLoyaltyWebhook{}

// CreateLoyaltyWebhook struct for CreateLoyaltyWebhook
type CreateLoyaltyWebhook struct {
	TransactionId string `json:"transaction_id"`
	ConversationId string `json:"conversation_id"`
	ContactId string `json:"contact_id"`
	LoyaltyId string `json:"loyalty_id"`
	ChannelId string `json:"channel_id"`
}

// NewCreateLoyaltyWebhook instantiates a new CreateLoyaltyWebhook object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreateLoyaltyWebhook(transactionId string, conversationId string, contactId string, loyaltyId string, channelId string) *CreateLoyaltyWebhook {
	this := CreateLoyaltyWebhook{}
	this.TransactionId = transactionId
	this.ConversationId = conversationId
	this.ContactId = contactId
	this.LoyaltyId = loyaltyId
	this.ChannelId = channelId
	return &this
}

// NewCreateLoyaltyWebhookWithDefaults instantiates a new CreateLoyaltyWebhook object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreateLoyaltyWebhookWithDefaults() *CreateLoyaltyWebhook {
	this := CreateLoyaltyWebhook{}
	return &this
}

// GetTransactionId returns the TransactionId field value
func (o *CreateLoyaltyWebhook) GetTransactionId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.TransactionId
}

// GetTransactionIdOk returns a tuple with the TransactionId field value
// and a boolean to check if the value has been set.
func (o *CreateLoyaltyWebhook) GetTransactionIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.TransactionId, true
}

// SetTransactionId sets field value
func (o *CreateLoyaltyWebhook) SetTransactionId(v string) {
	o.TransactionId = v
}

// GetConversationId returns the ConversationId field value
func (o *CreateLoyaltyWebhook) GetConversationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ConversationId
}

// GetConversationIdOk returns a tuple with the ConversationId field value
// and a boolean to check if the value has been set.
func (o *CreateLoyaltyWebhook) GetConversationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ConversationId, true
}

// SetConversationId sets field value
func (o *CreateLoyaltyWebhook) SetConversationId(v string) {
	o.ConversationId = v
}

// GetContactId returns the ContactId field value
func (o *CreateLoyaltyWebhook) GetContactId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ContactId
}

// GetContactIdOk returns a tuple with the ContactId field value
// and a boolean to check if the value has been set.
func (o *CreateLoyaltyWebhook) GetContactIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ContactId, true
}

// SetContactId sets field value
func (o *CreateLoyaltyWebhook) SetContactId(v string) {
	o.ContactId = v
}

// GetLoyaltyId returns the LoyaltyId field value
func (o *CreateLoyaltyWebhook) GetLoyaltyId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.LoyaltyId
}

// GetLoyaltyIdOk returns a tuple with the LoyaltyId field value
// and a boolean to check if the value has been set.
func (o *CreateLoyaltyWebhook) GetLoyaltyIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.LoyaltyId, true
}

// SetLoyaltyId sets field value
func (o *CreateLoyaltyWebhook) SetLoyaltyId(v string) {
	o.LoyaltyId = v
}

// GetChannelId returns the ChannelId field value
func (o *CreateLoyaltyWebhook) GetChannelId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ChannelId
}

// GetChannelIdOk returns a tuple with the ChannelId field value
// and a boolean to check if the value has been set.
func (o *CreateLoyaltyWebhook) GetChannelIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ChannelId, true
}

// SetChannelId sets field value
func (o *CreateLoyaltyWebhook) SetChannelId(v string) {
	o.ChannelId = v
}

func (o CreateLoyaltyWebhook) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreateLoyaltyWebhook) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["transaction_id"] = o.TransactionId
	toSerialize["conversation_id"] = o.ConversationId
	toSerialize["contact_id"] = o.ContactId
	toSerialize["loyalty_id"] = o.LoyaltyId
	toSerialize["channel_id"] = o.ChannelId
	return toSerialize, nil
}

type NullableCreateLoyaltyWebhook struct {
	value *CreateLoyaltyWebhook
	isSet bool
}

func (v NullableCreateLoyaltyWebhook) Get() *CreateLoyaltyWebhook {
	return v.value
}

func (v *NullableCreateLoyaltyWebhook) Set(val *CreateLoyaltyWebhook) {
	v.value = val
	v.isSet = true
}

func (v NullableCreateLoyaltyWebhook) IsSet() bool {
	return v.isSet
}

func (v *NullableCreateLoyaltyWebhook) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreateLoyaltyWebhook(val *CreateLoyaltyWebhook) *NullableCreateLoyaltyWebhook {
	return &NullableCreateLoyaltyWebhook{value: val, isSet: true}
}

func (v NullableCreateLoyaltyWebhook) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreateLoyaltyWebhook) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


